Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# InvKinWalkingParameters::CorrectionValues Class Reference

Factors to convert requested body speed to internal leg speed these values are read from odometry.cfg. More...

`#include <InvKinWalkingParameters.h>`

List of all members.

## Public Attributes
double | forward
| for walking forward
double | backward
| for walking backwards
double | sideward
| for walking sideways
double | turning
| for turning
double | rotationCenter
| distance from neck joint to center of rotation when turning in x-direction

## Detailed Description

Factors to convert requested body speed to internal leg speed these values are read from odometry.cfg.

Definition at line 137 of file InvKinWalkingParameters.h.

## Member Data Documentation

double InvKinWalkingParameters::CorrectionValues::forward

| for walking forward Definition at line 140 of file InvKinWalkingParameters.h. Referenced by InvKinWalkingEngine::calculateLegSpeeds(), InvKinWalkingParameters::interpolate(), InvKinWalkingEngine::limitToMaxSpeed(), and InvKinWalkingParameters::readValues().

double InvKinWalkingParameters::CorrectionValues::backward

| for walking backwards Definition at line 142 of file InvKinWalkingParameters.h. Referenced by InvKinWalkingEngine::calculateLegSpeeds(), InvKinWalkingEngine::limitToMaxSpeed(), and InvKinWalkingParameters::readValues().

double InvKinWalkingParameters::CorrectionValues::sideward

| for walking sideways Definition at line 144 of file InvKinWalkingParameters.h. Referenced by InvKinWalkingEngine::calculateLegSpeeds(), InvKinWalkingParameters::interpolate(), InvKinWalkingEngine::limitToMaxSpeed(), and InvKinWalkingParameters::readValues().

double InvKinWalkingParameters::CorrectionValues::turning

| for turning Definition at line 146 of file InvKinWalkingParameters.h. Referenced by InvKinWalkingEngine::calculateLegSpeeds(), InvKinWalkingParameters::interpolate(), InvKinWalkingEngine::limitToMaxSpeed(), and InvKinWalkingParameters::readValues().

double InvKinWalkingParameters::CorrectionValues::rotationCenter

| distance from neck joint to center of rotation when turning in x-direction Definition at line 148 of file InvKinWalkingParameters.h. Referenced by InvKinWalkingEngine::calculateLegSpeeds(), InvKinWalkingParameters::interpolate(), and InvKinWalkingParameters::readValues().

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/InvKinWalkingParameters.h